export declare const PRIMARY_HEADER_PREFIX = "ph_";
export declare const DEFAULT_PRIMARY_HEADER: {
    url: string;
    svgUrl: string;
    direction: null;
    title: null;
    account: null;
    order: null;
    navigationSections: never[];
    __typename: string;
};
declare const PrimaryHeader: {
    (props: any): JSX.Element;
    propTypes: {
        type: import("prop-types").Requireable<string>;
        heroText: import("prop-types").Requireable<string>;
        imageUrl: import("prop-types").Requireable<string>;
        mediaType: import("prop-types").Requireable<string>;
        mediaHref: import("prop-types").Requireable<string>;
        mediaUrl: import("prop-types").Requireable<(string | null | undefined)[]>;
        onHeaderChange: import("prop-types").Requireable<(...args: any[]) => any>;
    };
};
export default PrimaryHeader;
